<?php

/*-----------------------------------------------------------------------------------*/
/*  *.  Templates
/*-----------------------------------------------------------------------------------*/

new \Kirki\Section(
	'templates_section',
	[
		'title'       => esc_html__( 'Templates', 'anzu' ),
		'description' => esc_html__( 'Create fully customized templates using Block Editor. ', 'anzu' ) .'</br>'. esc_html__( 'This option only works with the ', 'anzu' ) . '<a href="https://wordpress.org/plugins/borderless/" target="_blank">Borderless Plugin</a>' . esc_html__( ', make sure it is installed.', 'anzu' ) .'</br>'. esc_html__( 'Choose a template created in Dashboard > Anzu > ', 'anzu' ) . '<a href="edit.php?post_type=anzu_templates" target="_blank">Templates</a>',
		'priority'    => 10,
	]
);

new \Kirki\Field\Checkbox_Switch(
	[
		'settings'    => 'custom_404_template_switch',
		'label'       => esc_html__( '404 Page', 'anzu' ),
		'section'     => 'templates_section',
		'default'     => false,
	]
);

new Kirki\Field\Select(
	[
		'settings'    => 'custom_404_template',
		'label'    => esc_html__( '404 Page Template', 'anzu' ),
		'section'     => 'templates_section',
		'default'     => '',
		'priority'    => 10,
		'multiple'    => 1,
		'placeholder' => __( 'Select a template', 'kirki' ),
		'choices'     => Kirki\Util\Helper::get_posts(
			array(
				'posts_per_page' => 10,
				'post_type'      => 'anzu_templates'
			) ,
		),
		'active_callback' => [
			[
				'setting'  => 'custom_404_template_switch',
				'operator' => '==',
				'value'    => true,
			]
		],
	]
);