<?php
/**
 * Anzu enqueue scripts
 *
 * @package Anzu
 */

// Exit if accessed directly.
defined( 'ABSPATH' ) || exit;

if ( ! function_exists( 'anzu_scripts' ) ) {
	/**
	 * Load theme's JavaScript and CSS sources.
	 */
	function anzu_scripts() {
		
		wp_enqueue_style( 'anzu-styles', ANZU_ASSETS_DIR_URI . 'css/anzu.min.css', array(), ANZU_THEME_VERSION );

		wp_enqueue_script( 'jquery' );
		
		wp_enqueue_script( 'anzu-scripts', ANZU_ASSETS_DIR_URI . 'js/anzu.min.js', array(), ANZU_THEME_VERSION, true );

		if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
			wp_enqueue_script( 'comment-reply' );
		}
		
	}
} // End of if function_exists( 'anzu_scripts' ).

add_action( 'wp_enqueue_scripts', 'anzu_scripts' );
